<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
**Table of Contents**

- [font_awesome_flutter_named](#font_awesome_flutter_named)
  - [Live Example](#live-example)
  - [Introduction](#introduction)
  - [Font Names](#font-names)
  - [Installation](#installation)
  - [Usage](#usage)
    - [Icon names](#icon-names)
      - [Examples:](#examples)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# font_awesome_flutter_named

## Live Example

An online live example can be found [here](https://peiffer-innovations.github.io/font_awesome_flutter_named/web/#/)


## Introduction

With many thanks to the [![Flutter Community: font_awesome_flutter](https://fluttercommunity.dev/_github/header/font_awesome_flutter)](https://github.com/fluttercommunity/community) for creating the vast majority of the work required for this package.

This is built based off of [![Pub](https://img.shields.io/pub/v/font_awesome_flutter.svg)](https://pub.dartlang.org/packages/font_awesome_flutter)


This package generates the names of the fonts provided by the dependant `font_awesome_flutter` package.  It does not actually include the font files themselves.

## Font Names

As a note, the names generated by this package differs from the official package in that the string names of the font icons exactly match the generated Dart code name rather than prefixing with the style.  So the names in the example app match the names you may reference in the strings maps.


## Installation

In the `dependencies:` section of your `pubspec.yaml`, add the following line:

```yaml
dependencies:
  font_awesome_flutter_named: <latest_version>
```

## Usage

```dart
import 'package:font_awesome_flutter_named/font_awesome_flutter_named.dart';

class MyWidget extends StatelessWidget {
  Widget build(BuildContext context) {
    return IconButton(
      // Use the FaIcon Widget + FontAwesomeIcons class for the IconData
      icon: FaIcon(faIconNameMapping['gamepad']!),
      onPressed: () { print("Pressed"); }
     );
  }
}
```

### Icon names

Icon names equal those on the [official website](https://fontawesome.com/icons), but are written in lower camel case. If more than one icon style is available for an icon, the style name is used as prefix, except for "regular".
Due to restrictions in dart, icons starting with numbers have those numbers written out.

#### Examples:
Icon name | Code | Style
--- | --- | ---
[angle-double-up](https://fontawesome.com/icons/angle-double-up?style=solid) | `faIconNameMapping['angleDoubleUp']` | solid _(this icon does not have other free styles)_
[arrow-alt-circle-up](https://fontawesome.com/icons/arrow-alt-circle-up?style=regular) | `faIconNameMapping['arrowAltCircleUp']` | regular
[arrow-alt-circle-up](https://fontawesome.com/icons/arrow-alt-circle-up?style=solid) |  `faIconNameMapping['solidArrowAltCircleUp']` | solid
[1](https://fontawesome.com/icons/1?style=solid) | `faIconNameMapping['solidOne']` | solid
